Subject: [Dhcpv6bis] Discussion: include Universal DUID or not?

From: Sheng Jiang <[email-masked]>
Date: Mon, 1 Dec 2014 10:01:24 +0000

Hi, all,

I am dealing with #118, now.

"Need to include Universal DUID in section 24.5"

Regarding to the above suggestion, I am not sure. If we decided to obsolete RFC6355, this seems ok. But if we would like to leave rfc6355 as it is, which includes some explanation why Universal DUID, we may not have much point to include it in 3315bis. Or we can include it in a table with reference to RFC6355?

Cheers,

Sheng

>-----Original Message-----
>From: dhcpv6bis issue tracker [mailto:[email-masked]]
>Sent: Wednesday, November 12, 2014 4:07 AM
>To: Sheng Jiang; [email-masked]
>Cc: [email-masked]
>Subject: Re: [dhcpv6bis] #118 (XML 3315): Cleanup 24.5 and 22.6 (from Sunil
>G)
>
>#118: Cleanup 24.5 and 22.6 (from Sunil G)
>
>Changes (by [email-masked]):
>
> * milestone:   => B moderate, apply after merge
>
>
>--
>----------------------------+--------------------------------------------
> Reporter:  [email-masked]  |       Owner:  [email-masked]
>     Type:  task            |      Status:  new
> Priority:  P1 blocker      |   Milestone:  B moderate, apply after
>merge
>Component:  XML 3315        |  Resolution:
> Keywords:                  |
>----------------------------+--------------------------------------------
>
>Ticket URL:
><http://trac.tools.ietf.org/group/dhcpv6bis/ticket/118#comment:2>
>dhcpv6bis <http://tools.ietf.org/group/dhcpv6bis/>

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 1 Dec 2014 11:20:38 +0000

We should close this issue without taking any action.

We are not deprecating or obsoleting rfc 6355 - see section 10 and 10.1 in particular as we are not defining this duid type at all.

Also, the section 24 (now 25) no longer lists the constants IANA assigned as per ticket I recently closed after a discussion with IANA at IETF-91.

- Bernie (from iPad)

> On Dec 1, 2014, at 5:01 AM, Sheng Jiang <[email-masked]> wrote:
> 
> Hi, all,
> 
> _______________________________________________
> Dhcpv6bis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcpv6bis

---

From: Ted Lemon <[email-masked]>
Date: Mon, 1 Dec 2014 14:41:15 -0600

> We are not deprecating or obsoleting rfc 6355 - see section 10 and 10.1 in particular as we are not defining this duid type at all.

It's probably worth mentioning and referencing the DUID-UUID DUID type.   This might represent a viable alternative to DUID-LLT, particularly in situations where there is a UUID stored in a device's firmware nvram settings.

---

From: Sheng Jiang <[email-masked]>
Date: Tue, 2 Dec 2014 02:32:55 +0000

>> We are not deprecating or obsoleting rfc 6355 - see section 10 and 10.1 in
>particular as we are not defining this duid type at all.
>
>It's probably worth mentioning and referencing the DUID-UUID DUID type.
>This might represent a viable alternative to DUID-LLT, particularly in situations
>where there is a UUID stored in a device's firmware nvram settings.

Hi, Ted,

In the current 3315bis, we do mention the Universal DUID and referring to RFC6355 in section 10.1, see below link

https://tools.ietf.org/html/draft-dhcwg-dhc-rfc3315bis-03#section-10.1

Best regards,

Sheng

---

From: Ted Lemon <[email-masked]>
Date: Mon, 1 Dec 2014 21:00:14 -0600

> In the current 3315bis, we do mention the Universal DUID and referring to RFC6355 in section 10.1, see below link

Indeed, but I had in mind a bit more exposition than just an entry in a table.

---

From: Sheng Jiang <[email-masked]>
Date: Tue, 2 Dec 2014 03:41:29 +0000

>Indeed, but I had in mind a bit more exposition than just an entry in a table.

Ok, I have added one more sentence there.

The fourth type, DUID-UUID [RFC6355], can be used in situations where there is a UUID stored in a device's firmware settings.

By the way, UUID has serious privacy issues.

Cheers,

Sheng

---

From: Ted Lemon <[email-masked]>
Date: Tue, 2 Dec 2014 08:14:34 -0600

> By the way, UUID has serious privacy issues.

DUID has serious privacy issues.

---

From: "dhcpv6bis issue tracker" <[email-masked]>
Date: Wed, 03 Dec 2014 01:21:12 -0000

Changes (by [email-masked]):

 * status:  new => closed
 * resolution:   => fixed

Comment:

 We have removed content from IANA consideration section. I have added more
 description regarding to UUID in section 10.1. "The fourth type, DUID-UUID
 [RFC6355], can be used in situations where there is a UUID stored in a
 device's firmware settings."

 The sentence that restricts the appearing position of IA Address option
 has been removed.

-- 
----------------------------+--------------------------------------------
 Reporter:  [email-masked]  |       Owner:  [email-masked]
     Type:  task            |      Status:  closed
 Priority:  P1 blocker      |   Milestone:  B moderate, apply after merge
Component:  XML 3315        |  Resolution:  fixed
 Keywords:                  |
----------------------------+--------------------------------------------

Ticket URL: <http://trac.tools.ietf.org/group/dhcpv6bis/ticket/118#comment:3>
dhcpv6bis <http://tools.ietf.org/group/dhcpv6bis/>